Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411791 - VM details cluster field vanish, after update VM to another cluster.
Summary: VM details cluster field vanish, after update VM to another cluster.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: Piotr Kliczewski
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev:cluster
Depends On: 1397503
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 13:49 UTC by Satoe Imaishi
Modified: 2017-02-27 19:19 UTC (History)
9 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1397503
Environment:
Last Closed: 2017-02-27 19:19:53 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ManageIQ manageiq pull 12927 0 None None None 2017-01-10 13:49:41 UTC
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-10 13:55:57 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/86641c87da02c6079b51a2033c99e7c553da8229

commit 86641c87da02c6079b51a2033c99e7c553da8229
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Mon Dec 5 13:45:55 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 10 08:50:40 2017 -0500

    Merge pull request #12927 from pkliczewski/clutser_refresh
    
    Update cluster when modified
    (cherry picked from commit 588b5f9c38a58d30afafd02b52daa354bb2ea59c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411791

 .../providers/redhat/infra_manager/refresher.rb    |  10 +-
 .../infra_manager/refresher_target_vm_spec.rb      |  34 +--
 .../infra_manager/refresher_target_new_vm.yml      | 262 ++++++++++++++-------
 .../redhat/infra_manager/refresher_target_vm.yml   | 258 +++++++++++++-------
 4 files changed, 361 insertions(+), 203 deletions(-)

Comment 3 Ilanit Stein 2017-01-26 11:19:30 UTC
Verified on CFME-5.7.1.0 & RHV-4.0.5

Checked the exact scenario, as in description.
After cluster change, refreshing the VM details page, the cluster field is updated correctly:

Cluster	 <new cluster>
Resource Pool	 <data center> for Cluster <new cluster>

Comment 5 errata-xmlrpc 2017-02-27 19:19:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.